fop 1.1

## org.apache.fop.complexscripts.bidi
Class BidiResolver

    java.lang.Object
      org.apache.fop.complexscripts.bidi.BidiResolver

    public final class BidiResolver

extends java.lang.Object

A utility class for performing bidirectional resolution processing.

This work was originally authored by Glenn Adams (gadams@apache.org).

Method Summary
`static void` `reorder(LineArea la)` Reorder line area.
`static void` `resolveInlineDirectionality(PageSequence ps)` Resolve inline directionality.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolveInlineDirectionality

    public static void resolveInlineDirectionality(PageSequence ps)

  Resolve inline directionality.

  Parameters:
    `ps` - a page sequence FO instance

### reorder

    public static void reorder(LineArea la)

  Reorder line area.

  Parameters:
    `la` - a line area instance

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.